PODBEUTER(1)

NAME
podbeuter - a podcast download manage for text terminals

SYNOPSIS

podbeuter [-C configfile] [-q queuefile] [-a] [-h]

DESCRIPTION

podbeuter is a podcast manager for text terminals. It is a helper program to newsbeuter which queues podcast downloads into a file. These queued downloads can then be download with newsbeuter.

OPTIONS

-h
    Display help

-C configfile
    Use an alternative configuration file

-q queuefile
    Use an alternative queue file

-a
    Start automatic download of all queued files on startup

PODCAST SUPPORT

A podcast is a media file distributed over the internet using syndication feeds such as RSS, for later playback on portable players or computers. Newsbeuter contains support for downloading and saving podcasts. This support differs a bit from other podcast aggregators or "podcatchers" in how it is done.

Podcast content is transported in RSS feeds via special tags called "enclosures". Newsbeuter recognizes these enclosures and stores the relevant information for every podcast item it finds in an RSS feed. Since version 2.0, it also recognizes and handles the Yahoo Media RSS extensions. What the user then can do is to add the podcast download URL to a download queue. Alternatively, newsbeuter can be configured to automatically do that. This queue is stored in the file $HOME/.newsbeuter/queue.

The user can then use the download manager "podbeuter" to download these files to a directory on the local filesystem. Podbeuter comes with the newsbeuter package, and features a look and feel very close to the one of newsbeuter. It also shares the same configuration file.

Podcasts that have been downloaded but haven’t been played yet remain in the queue but are marked as downloaded. You can remove them by purging them from the queue with the P key. After you’ve played a file and close podbeuter, it will be removed from the queue. The downloaded file remains on the filesystem.

CONFIGURATION COMMANDS

download-path (parameters: <path>; default value: ~/)
    Specifies the directory where podbeuter shall download the files to. Optionally, the placeholders "%n" (for the podcast feed’s name) and "%h" (for the podcast feed’s hostname) can be used to place downloads in a directory structure. (example: download-path "~/Downloads/%h/%n")

max-downloads (parameters: <number>; default value: 1)
    Specifies the maximum number of parallel downloads when automatic download is enabled. (example: max-downloads 3)

player (parameters: <player command>; default value: "")
    Specifies the player that shall be used for playback of downloaded files. (example: player "mp3blaster")

FILES

$HOME/.newsbeuter/config

$HOME/.newsbeuter/queue

SEE ALSO

newsbeuter(1). The documentation that comes with newsbeuter is a good source about the general use and configuration of newsbeuter’s podcast support.

AUTHORS

Andreas Krennmair <ak@newsbeuter.org>, for contributors see AUTHORS file.

AUTHOR

Andreas Krennmair <ak@newsbeuter.org>
    Author.